org.apache.sling.hc.annotations

## Class SlingHealthCheckProcessor

- java.lang.Object
- - org.apache.sling.hc.annotations.SlingHealthCheckProcessor

All Implemented Interfaces:
  org.apache.felix.scrplugin.annotations.AnnotationProcessor

    public class SlingHealthCheckProcessor
    extends Object
    implements org.apache.felix.scrplugin.annotations.AnnotationProcessor

Annotation processor for the SlingHealthCheck annotation.

### Constructor Summary

Constructors
Constructor and Description
`SlingHealthCheckProcessor()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getName()`
`int` `getRanking()`
`void` `process(org.apache.felix.scrplugin.annotations.ScannedClass scannedClass, org.apache.felix.scrplugin.description.ClassDescription classDescription)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SlingHealthCheckProcessor

    public SlingHealthCheckProcessor()

### Method Detail

#### process

    public void process(org.apache.felix.scrplugin.annotations.ScannedClass scannedClass,
                        org.apache.felix.scrplugin.description.ClassDescription classDescription)
                 throws org.apache.felix.scrplugin.SCRDescriptorException,
                        org.apache.felix.scrplugin.SCRDescriptorFailureException

Specified by:
  `process` in interface `org.apache.felix.scrplugin.annotations.AnnotationProcessor`
Throws:
  `org.apache.felix.scrplugin.SCRDescriptorException`
  `org.apache.felix.scrplugin.SCRDescriptorFailureException`

#### getRanking

    public int getRanking()

Specified by:
  `getRanking` in interface `org.apache.felix.scrplugin.annotations.AnnotationProcessor`

#### getName

    public String getName()

Specified by:
  `getName` in interface `org.apache.felix.scrplugin.annotations.AnnotationProcessor`